Bug 864732 - please split rsyslog docs into a subpackage
please split rsyslog docs into a subpackage
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Heinrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 21:54 EDT by Matthew Miller
Modified: 2016-09-20 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: rsyslog-7.2.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-27 06:20:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2012-10-09 21:54:03 EDT
rsyslog isn't a gigantic package at 2.5M on disk, but over half of that is docs. That's one of the bigger documentation packages in the cloud image, and since not installing the documentation using rpm magic presents a technical challenge, at least splitting out the bigger packages saves a little space.
Comment 1 Tomas Heinrich 2012-10-10 07:13:15 EDT
I guess by "rpm magic" you mean the --excludedocs rpm option which can help in this case.
I'll go ahead and do the split in rawhide with the next update.
Comment 2 Matthew Miller 2012-10-10 09:37:53 EDT
> I guess by "rpm magic" you mean the --excludedocs rpm option which can help
> in this case.

Yeah — that turns out to be a pain if you want docs later, and it's difficult to tell all the package management tools about it in a graceful way.
Comment 3 Fedora End Of Life 2013-04-03 15:46:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.